import axios from 'axios';

// 创建一个默认实例
const localInstance = axios.create({
    baseURL: 'https://api.example.com', // 默认的API地址
    timeout: 60 * 60 * 1000, // 请求超时时间 (ms)
});

// 创建另一个实例用于不同的API地址或端口
const pjiInstance = axios.create({
    baseURL: 'https://api.otherdomain.com:8080', // 另一个API地址和端口
    timeout: 10000,
});

export { localInstance, pjiInstance };